from nicegui import ui

from transcription.app import create_app
from transcription.config import configure_logging

configure_logging()

app = create_app()
ui.run_with(
    app,
    mount_path="/ui",
    show_welcome_message=True,
)
ui.run(host="0.0.0.0", port=8085, reload=True)
